rt and end with an alphanumeric characterif [[ $(type -t compopt) = "builtin" ]]; then
    complete -o default -F __start_%s %s
else
    complete -o default -o nospace -F __start_%s %s
fi

If the feature requires further action, such as reloading workers or refreshing the cluster master, then perform those actions with no user prompts.Indicate the name or ID of the Satellite configuration version. To list versions, run 'ibmcloud sat config get --config <configuration_name_or_ID>'.Some commands in the script are deprecated and don't have a replacement command. These commands are flagged in the script with '# WARNING' messages.Are you sure you want to update your worker pools {{.Pools}} in zone {{.Zone}} to use private VLAN {{.PrivateVlan}} and public VLAN {{.PublicVlan}}?wwids Optional: FC volume world wide identifiers (wwids) Either wwids or combination of targetWWNs and lun must be set, but not both simultaneously.a lowercase RFC 1123 subdomain must consist of lower case alphanumeric characters, '-' or '.', and must start and end with an alphanumeric charactercolumnDefinitions describes each column in the returned items array. The number of cells per row will always match the number of column definitions.The Calico network config flag does not support YAML output. To retrieve the Calico network config, remove the --yaml flag and run the command again.The IP address ranges of your load balancers in CIDR format. PROXY headers that are forwarded by load balancers in other IP ranges are not processed.Remove an NLB IP address from an NLB host name. If you remove all IPs from a host name, the host name still exists but no IPs are associated with it.Remove a load balancer host name from an NLB host name in a VPC cluster. The NLB host name still exists but no load balancers are associated with it.Specify the Satellite storage configuration template name. To list available storage configuration templates, run 'ibmcloud sat storage template ls'.Add a worker node to a cluster. The IBM Cloud account will be charged. Several flags can be omitted if all of the workers in the cluster are uniform.Delete the data, reimage, and reinstall Kubernetes with the latest patch version on a worker node in a classic cluster. This action cannot be undone.Rebalance a worker pool in a cluster. Rebalancing adds worker nodes so that the worker pool has the same number of nodes per zone that you specified.The name of this port.  This must match the 'name' field in the corresponding ServicePort. Must be a DNS_LABEL. Optional only if one port is defined.targetPortal is iSCSI Target Portal. The Portal is either an IP or ip_addr:port if the port is other than default (typically TCP ports 860 and 3260).fsType is the filesystem type to mount. Must be a filesystem type supported by the host operating system. Ex. "ext4", "xfs", "ntfs". Default is "xfs"The VPC subnet to assign the cluster. To list available subnets, run 'ibmcloud ks subnets --provider vpc-classic --vpc-id <vpc-id> --zone <vpc-zone>'.Your Ingress subdomain and secret might not be ready yet. For more info by cluster type, see '{{.URL}}' for Kubernetes or '{{.URLOCP}}' for OpenShift.Remove a cluster registration. The cluster is no longer subscribed to a Satellite configuration, but the cluster and its existing resources still run.Specify the ID or name of the location that contains the configurations you want to list. To find available locations, run 'ibmcloud sat location ls'.The configuration you specified could not be found. Verify your inputs and retry the request. To list your storage configurations, run '{{.Command}}'.KubeletConfigKey declares which key of the referenced ConfigMap corresponds to the KubeletConfiguration structure This field is required in all cases.PreemptionPolicy is the Policy for preempting pods with lower priority. One of Never, PreemptLowerPriority. Defaults to PreemptLowerPriority if unset.fsType is the filesystem type to mount. Must be a filesystem type supported by the host operating system. Ex. "ext4", "xfs", "ntfs". Default is "xfs".Operation is the type of operation which lead to this ManagedFieldsEntry being created. The only valid values for this field are 'Apply' and 'Update'.An IP or CIDR block allowed by this ACL. Value must be fully contained in the follwowing CIDRs: 10.0.0.0/8, 161.26.0.0/16, 166.8.0.0/14, 172.16.0.0/12.NodeConfigSource specifies a source of node configuration. Exactly one subfield (excluding metadata) must be non-nil. This API is deprecated since 1.22A list of DNS name server IP addresses. This will be appended to the base nameservers generated from DNSPolicy. Duplicated nameservers will be removed.Force the command to run without user prompts. The cluster's persistent storage is not be deleted unless the '{{.DeleteStorage}}' flag is also provided.Specify the name of the IBM Cloud Object Storage bucket to store your Satellite location control plane data. Otherwise, a new bucket is created for you.Key Protect instance ID. To get the instance ID, run 'ibmcloud resource service-instance <kp_service> --id' and copy the second value (not the full CRN)readOnly value true will force the readOnly setting in VolumeMounts. More info: https://kubernetes.io/docs/concepts/storage/volumes#awselasticblockstoreBounded-sized list of signatures of pods that should avoid this node, sorted in timestamp order from oldest to newest. Size of the slice is unspecified.LifecycleHandler defines a specific action that should be taken in a lifecycle hook. One and only one of the fields, except TCPSocket must be specified.readOnly here will force the ReadOnly setting in VolumeMounts. Defaults to false. More info: https://examples.k8s.io/volumes/rbd/README.md#how-to-use-itCreate and download a script that you can run on your hosts to attach them to your location. For RHCOS enabled locations, the script is an ignition file.The name or ID of the worker pool within the cluster to assign the host. If no worker pool is specified, the host is assigned to the default worker pool.View information about infrastructure permissions that allow you to access the IBM Cloud classic infrastructure portfolio through your IBM Cloud account.Represents downward API info for projecting into a projected volume. Note that this is identical to a downwardAPI volume source without the default mode.IP addresses which offer the related ports that are marked as ready. These endpoints should be considered safe for load balancers and clients to utilize.May contain labels and annotations that will be copied into the PVC when creating it. No other fields are allowed and will be rejected during validation.portals is the iSCSI Target Portal List. The Portal is either an IP or ip_addr:port if the port is other than default (typically TCP ports 860 and 3260).portals is the iSCSI Target Portal List. The portal is either an IP or ip_addr:port if the port is other than default (typically TCP ports 860 and 3260).storageClassName is the name of the StorageClass required by the claim. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#class-1Please report a bug to github.com/gogo/protobuf if you see this message: Writing extensions is not supported for extensions stored in a byte slice field.Spec defines the behavior of the Namespace. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-statusName must match the name of one entry in pod.spec.resourceClaims of the Pod where this field is used. It makes that resource available inside a container.Compute Resources required by this container. Cannot be updated. More info: https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/The list has one entry per container in the manifest. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#pod-and-container-statusThe filepath of a custom PodSecurity configuration. If not specified, the Kubernetes defaults are applied. For more information, see https://ibm.biz/BdPtUBSelect the IBM Cloud region to manage your Satellite location from. Choose a region close to your on-prem data center for better performance. See {{.URL}}.Specify the name of the storage configuration for the custom storage class. To list Satellite storage configurations, run 'ibmcloud sat storage config ls'.Specify the name of a Satellite location. To list available locations, run 'ibmcloud sat location ls'. This option cannot be used by service administrator.Limits describes the maximum amount of compute resources allowed. More info: https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/nodeAffinity defines constraints that limit what nodes this volume can be accessed from. This field influences the scheduling of pods that use this volume.List of containers belonging to the pod. Containers cannot currently be added or removed. There must be at least one container in a Pod. Cannot be updated.HostAliases is an optional list of hosts and IPs that will be injected into the pod's hosts file if specified. This is only valid for non-hostNetwork pods.Delete automatically generated and manually created Ingress resources of class {{.TestClass}} for the test ALB service running the Kubernetes Ingress image.To use this command, you must use the global API endpoint. Target the global endpoint by running 'ibmcloud ks init --host https://containers.cloud.ibm.com'.Specify a 'key=value' pair for configuration parameters. To see the configuration parameters in a storage template, run 'ibmcloud sat storage template get'.Specify a 'key=value' pair for storage class parameters. To see the storage class parameters in a storage template, run 'ibmcloud sat storage template get'.Remove a Satellite storage assignment. The Kubernetes resources are deleted from all the clusters in your Satellite location, but the configuration remains.This command is deprecated. Create a worker pool by running '{{.CreateComamand}}' or add workers to an existing worker pool by running '{{.ResizeCommand}}'.name of the volume. Must be a DNS_LABEL and unique within the pod. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#namesView and modify the audit webhook configuration for a cluster's Kubernetes API server. The webhook backend forwards API server audit logs to a remote server.Indicate the infrastructure provider to use for the Satellite location. If you include this option, you must also include the '--provider-credential' option.If you set up your IBM Cloud account to use different credentials to access the IBM Cloud classic infrastructure portfolio, get the infrastructure user name.Are you sure you want to set params for storage configuration {{.Config}} and apply the latest configuration version to all assignments of the configuration?storageClassName is the name of StorageClass to which this persistent volume belongs. Empty value means that this volume does not belong to any StorageClass.68647976601306097149819007990813932172694353001433054093944634591855431833976560521225596406614545549772963113914808580371219879997166438125740282911150571516864797660130609714981900799081393217269435300143305409394463459185543183397655394245057746333217197532963996371363321113864768612440380340372808892707005449Defines the maximum size a log file can grow to (no effect when -logtostderr=true). Unit is megabytes. If the value is 0, the maximum file size is unlimited.Selects a resource of the container: only resources limits and requests (limits.cpu, limits.memory, requests.cpu and requests.memory) are currently supported.accessModes contains the desired access modes the volume should have. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#access-modes-1Status is the status of the condition. Can be True, False, Unknown. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#pod-conditionsIf set, the number of lines from the end of the logs to show. If not specified, logs are shown from the creation of the container or sinceSeconds or sinceTime
			mutation($orgId: String! $uuid: String! $name: String!) {
				   editChannel( orgId: $orgId, uuid: $uuid name: $name) {
					uuid
					success
				  }
			}Effect indicates the taint effect to match. Empty means match all taint effects. When specified, allowed values are NoSchedule, PreferNoSchedule and NoExecute.The list of ports that are exposed by this service. More info: https://kubernetes.io/docs/concepts/services-networking/service/#virtual-ips-and-service-proxiesRestart the cluster master nodes to apply new Kubernetes API configuration changes. Your worker nodes, apps, and resources are not modified and continue to run.The ID of a Satellite storage assignment. To list available storage assignments of the configuration, run 'ibmcloud sat storage assignment ls  --config CONFIG'.path is the relative path of the file to map the key to. May not be an absolute path. May not contain the path element '..'. May not start with the string '..'.Specification of the desired behavior of the pod. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-statusTable is a tabular representation of a set of API resources. The server transforms the object into a set of preferred columns for quickly reviewing the objects.Retrieved suggested and required infrastructure permissions that are missing for account ID {{.AccountID}} with infrastructure access set up by {{.AccountType}}.Binding ties one object to another; for example, a pod is bound to a node by a scheduler. Deprecated in 1.7, please use the bindings subresource of pods instead.The IP of this endpoint. May not be loopback (127.0.0.0/8 or ::1), link-local (169.254.0.0/16 or fe80::/10), or link-local multicast (224.0.0.0/24 or ff02::/16).Name is a DNS_LABEL representing the unique name of the container. Each container in a pod must have a unique name across all container types. Cannot be updated.capacity is the description of the persistent volume's resources and capacity. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#capacityHost networking requested for this pod. Use the host's network namespace. If this option is set, the ports that will be used must be specified. Default to false.
			mutation($orgId: String!, $name: String!, $primary: Boolean!) {
				addOrgKey( orgId: $orgId, name: $name, primary: $primary ) {
					uuid
					key
				}
			}The namespace you want to remove the log forwarding configuration from. If there is more than one config for the same namespace, use the '{{.Flag}}' flag instead.Apply the latest patch updates to a Satellite storage configuration. Patch updates contain vulnerability remediations and bug fixes within the same major version.readOnly here will force the ReadOnly setting in VolumeMounts. Defaults to false. More info: https://kubernetes.io/docs/concepts/storage/volumes#gcepersistentdiskStatus describes the current status of a Namespace. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-statusNodeResources is an object for conveying resource information about a node. see https://kubernetes.io/docs/concepts/architecture/nodes/#capacity for more details.Manage the Satellite service endpoint allowlist for a Satellite cluster with CoreOS enabled. This allowlist applies to all traffic to the Satellite cluster master.pdName is unique name of the PD resource in GCE. Used to identify the disk in GCE. More info: https://kubernetes.io/docs/concepts/storage/volumes#gcepersistentdiskphase indicates if a volume is available, bound to a claim, or released by a claim. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#phaseStatus defines the actual enforced quota and its current usage. https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-statusContainer's working directory. If not specified, the container runtime's default will be used, which might be configured in the container image. Cannot be updated.conditions is the current Condition of persistent volume claim. If underlying persistent volume is being resized then the Condition will be set to 'ResizeStarted'.Minimum consecutive successes for the probe to be considered successful after having failed. Defaults to 1. Must be 1 for liveness and startup. Minimum value is 1.Heap size target percentage configured by the user, otherwise 100. This value is set by the GOGC environment variable, and the runtime/debug.SetGCPercent function.ListMeta describes metadata that synthetic resources must have, including lists and various status objects. A resource may have only one of {ObjectMeta, ListMeta}.
			mutation($orgId: String! $uuid: String! $clusters: [String]!) {
				groupClusters( orgId: $orgId, uuid: $uuid, clusters: $clusters) {
					modified
				  }
			}Enable the allowlist. When enabled, only authorized requests to the cluster master from subnets in the allowlist are permitted through the private service endpoint.Unregistered {{.ClustCount}} clusters and {{.ResCount}} resources. Your clusters and existing resources are no longer subscribed to Satellite configuration updates.readOnly defaults to false (read/write). ReadOnly here will force the ReadOnly setting in VolumeMounts. More info: https://examples.k8s.io/mysql-cinder-pd/README.mdA list of DNS search domains for host-name lookup. This will be appended to the base search paths generated from DNSPolicy. Duplicated search paths will be removed.LabelSelector is used to find matching pods. Pods that match this label selector are counted to determine the number of pods in their corresponding topology domain.The ID of the root key in your KMS instance to use for local disk encryption. To list available root keys, run 'ibmcloud ks kms crk ls --instance-id <kms_instance>'.The current config is at lower revision. Revision upgrade is available. Upgrade to the latest revision. For more info, run 'ibmcloud sat storage config get' command.volumeID is unique ID of the persistent disk resource in AWS (Amazon EBS volume). More info: https://kubernetes.io/docs/concepts/storage/volumes#awselasticblockstoreContainerState holds a possible state of container. Only one of its members may be specified. If none of them is specified, the default one is ContainerStateWaiting.A null or empty node selector term matches no objects. The requirements of them are ANDed. The TopologySelectorTerm type implements a subset of the NodeSelectorTerm.accessModes contains the actual access modes the volume backing the PVC has. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#access-modes-1
			mutation($orgId: String! $uuid: String! $clusters: [String]!) {
				unGroupClusters( orgId: $orgId, uuid: $uuid, clusters: $clusters) {
					modified
				  }
			}APIResourceList is a list of APIResource, it is used to expose the name of the resources supported in a specific group and version, and if the resource is namespaced.UID of the resource. (when there is a single resource which can be described). More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids
			 query($orgId: String!) {
					groups( orgId: $orgId ) {
					 uuid
					 orgId
					 name
					 owner {
						 id
						 name
					 }
					 created
				   }
			 }The port of the log collector. If you do not specify a port, the default port for the ingestion endpoint is used for 'ibm' (deprecated) and '514' is used for 'syslog'.Remove a Satellite configuration. All associated subscriptions must be removed first. All versions are deleted. Back up any resource definitions that you want to keep.Indicate the remote GitOps provider for the Satellite configuration. This provider stores the Kubernetes resource definitions. Strategy: GitOps. Allowed values: {{.A}}Force a hard restart of a worker node by cutting off power to the worker node. Use this option if the worker node is unresponsive or the worker node has a Docker hang.readOnly here will force the NFS export to be mounted with read-only permissions. Defaults to false. More info: https://kubernetes.io/docs/concepts/storage/volumes#nfsAutomountServiceAccountToken indicates whether pods running as this service account should have an API token automatically mounted. Can be overridden at the pod level.SecurityContext holds pod-level security attributes and common container settings. Optional: Defaults to empty.  See type description for default values of each field.Status of the operation. One of: "Success" or "Failure". More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-statusImageID is the image ID of the container's image. The image ID may not match the image ID of the image used in the PodSpec, as it may have been resolved by the runtime.flocker represents a Flocker volume attached to a kubelet's host machine and exposed to the pod for its usage. This depends on the Flocker control service being runningForce is going to "force" Apply requests. It means user will re-acquire conflicting fields owned by other people. Force flag must be unset for non-apply patch requests.Specify the name or ID of the Satellite configuration version. To list versions in your configuration, run 'ibmcloud sat config get --config <configuration_name_or_ID>'.Required for provider types '{{.VPC}}' and '{{.VPCGen2}}': The zone to list VPC subnets for. To list available zones, run '{{.Command}} --provider vpc-classic|vpc-gen2'.fsType to mount. Ex. "ext4", "xfs", "ntfs". If not provided, the empty value is passed to the associated CSI driver which will determine the default filesystem to apply.
			query ($orgId: String! $clusterName: String!){
				clusterByName(orgId: $orgId clusterName: $clusterName) {
					id
					orgId
					clusterId
					regState
				}
			}Delete Ingress resources of class {{.IKSClass}}, class {{.NginxClass}}, or of no class for public or private ALBs that run the IBM Cloud Kubernetes Service Ingress image.The option to add a worker by specifying a YAML file in the {{.Flag}} flag is deprecated. Instead, specify values for your worker in the supported flags for this command.Template defines the pods that will be created from this pod template. https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-statusWhen a timeout occurs, the number of retries to attempt before the IP is considered unhealthy. Retries are attempted immediately. Must be in the range [0, 5]. Default: '2'Represents a Fibre Channel volume. Fibre Channel volumes can only be mounted as read/write once. Fibre Channel volumes support ownership management and SELinux relabeling.ServiceAccountName is the name of the ServiceAccount to use to run this pod. More info: https://kubernetes.io/docs/tasks/configure-pod-container/configure-service-account/An update is available for the cluster. To view the update version, run '{{.Command}}'. Review and make any required version changes before you update: {{.ReleaseNotesURL}}volumeMode defines if a volume is intended to be used with a formatted filesystem or to remain in raw block state. Value of Filesystem is implied when not included in spec.iscsi represents an ISCSI Disk resource that is attached to a kubelet's host machine and then exposed to the pod. More info: https://examples.k8s.io/volumes/iscsi/README.mdDisable the allowlist for a Satellite cluster. When disabled, authorized requests to the cluster master from any subnet are permitted through the Satellite service endpoint.The name or ID of the zone to assign the host. To find available zones, run 'ibmcloud sat location get --location <location_name_or_ID>' and look for the 'Host Zones' field.Skips validation of the org and space names when they are specified. This can result in a broken logging config if the values are invalid but will take less time to process.Select all ClusterTrustBundles that match this signer name. Mutually-exclusive with name.  The contents of all selected ClusterTrustBundles will be unified and deduplicated.Cumulative count of heap allocations triggered by the application. Note that this does not include tiny objects as defined by /gc/heap/tiny/allocs:objects, only tiny blocks.path of the directory on the host. If the path is a symlink, it will follow the link to the real path. More info: https://kubernetes.io/docs/concepts/storage/volumes#hostpathAn empty preferred scheduling term matches all objects with implicit weight 0 (i.e. it's a no-op). A null preferred scheduling term matches no objects (i.e. is also a no-op).ISCSIPersistentVolumeSource represents an ISCSI disk. ISCSI volumes can only be mounted as read/write once. ISCSI volumes support ownership management and SELinux relabeling.Unschedulable controls node schedulability of new pods. By default, node is schedulable. More info: https://kubernetes.io/docs/concepts/nodes/node/#manual-node-administrationstorageOS represents a StorageOS volume that is attached to the kubelet's host machine and mounted into the pod More info: https://examples.k8s.io/volumes/storageos/README.mdThe flavor of a worker node. To see available flavors, run '{{.CommandGeneral}}' (for public IBM Cloud accounts) or '{{.CommandDedicated}}' (for IBM Cloud Dedicated accounts).
			mutation($orgId: String!, $uuid: String!, $forceDeletion: Boolean) {
				removeOrgKey( orgId: $orgId, uuid: $uuid, forceDeletion: $forceDeletion) {
					success
				}
			}Specify a custom subnet CIDR to provide private IP addresses for pods. The subnet must be at least '/23' or larger. For more info, see {{.URL}}. Default value: '172.30.0.0/16'The option to create a cluster by specifying a YAML file in the {{.Flag}} flag is deprecated. Instead, specify values for your cluster in the supported flags for this command.Enabling image security enforcement could prevent some pods from starting due to the image policies that are applied by default.  Are you sure you want to enable this feature?If specified, this must be an IANA_SVC_NAME and unique within the pod. Each named port in a pod must have a unique name. Name for the port that can be referred to by services.Finalizers is an opaque list of values that must be empty to permanently remove object from storage. More info: https://kubernetes.io/docs/tasks/administer-cluster/namespaces/secretFile is Optional: SecretFile is the path to key ring for User, default is /etc/ceph/user.secret More info: https://examples.k8s.io/volumes/cephfs/README.md#how-to-use-itgroup is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale".Use this flag to prevent a public VLAN from being created. Required only when you specify the '--{{.PrivateVLANFlag}}' flag without specifying the '--{{.PublicVLANFlag}}' flag.The number of worker nodes per zone in the default worker pool.  For OpenShift clusters, you must set this value to at least 2. For Kubernetes clusters, this value is optional.You are logged in to a Dedicated endpoint. You cannot config logging in this context. Log into IBM Cloud endpoint and target your public org and space to enable log forwarding.spec defines the desired characteristics of a volume requested by a pod author. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaimsName uniquely identifies this resource claim inside the pod. This must match the name of an entry in pod.spec.resourceClaims, which implies that the string must be a DNS_LABEL.secretRef is Optional: SecretRef is reference to the authentication secret for User, default is empty. More info: https://examples.k8s.io/volumes/cephfs/README.md#how-to-use-itThe flavor of the worker node. To see available flavors, run '{{.CommandGeneral}}' (for public IBM Cloud accounts) or '{{.CommandDedicated}}' (for IBM Cloud Dedicated accounts).Specify the IAM role for the service key. This flag does not work if you specify an existing key to use or for services that are not IAM-enabled, such as Cloud Foundry services.The IBM Cloud account ID with the instance of IBM Log Analysis with LogDNA that you want to forward your Satellite logs to. This option is available only in select environments.readOnly is Optional: Defaults to false (read/write). ReadOnly here will force the ReadOnly setting in VolumeMounts. More info: https://examples.k8s.io/mysql-cinder-pd/README.mdPersistentVolume (PV) is a storage resource provisioned by an administrator. It is analogous to a node. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumesfsType is filesystem type to mount. Must be a filesystem type supported by the host operating system. Ex. "ext4", "xfs", "ntfs". Implicitly inferred to be "ext4" if unspecified.fsType is Filesystem type to mount. Must be a filesystem type supported by the host operating system. Ex. "ext4", "xfs", "ntfs". Implicitly inferred to be "ext4" if unspecified.secretRef is name of the authentication secret for RBDUser. If provided overrides keyring. Default is nil. More info: https://examples.k8s.io/volumes/rbd/README.md#how-to-use-itGo runtime memory limit configured by the user, otherwise math.MaxInt64. This value is set by the GOMEMLIMIT environment variable, and the runtime/debug.SetMemoryLimit function.
				 mutation($orgId: String! $name: String! $data_location: String) {
						addChannel( orgId: $orgId name: $name data_location: $data_location ) {
						 uuid
					   }
				 }Specify a custom subnet CIDR to provide private IP addresses for services. The subnet must be at least '/24' or larger. For more info, see {{.URL}} Default value: '172.21.0.0/16'glusterfs represents a Glusterfs volume that is attached to a host and exposed to the pod. Provisioned by an admin. More info: https://examples.k8s.io/volumes/glusterfs/README.mdIf specified, the fully qualified Pod hostname will be "<hostname>.<subdomain>.<pod namespace>.svc.<cluster domain>". If not specified, the pod will not have a domainname at all.mountPropagation determines how mounts are propagated from the host to container and the other way around. When not set, MountPropagationNone is used. This field is beta in 1.10.Specify a custom subnet CIDR to provide private IP addresses for services. The subnet must be at least '/24' or larger. For more info, see {{.URL}}. Default value: '172.21.0.0/16'ClaimSource describes a reference to a ResourceClaim.

Exactly one of these fields should be set.  Consumers of this type must treat an empty object as if it has an unknown value.Specify the name of the service instance. To see a list of available service instances, run '{{.Command1}}' for Cloud Foundry services, or '{{.Command2}}' for IAM-enabled services.fSType represents the filesystem type to mount Must be a filesystem type supported by the host operating system. Ex. "ext4", "xfs". Implicitly inferred to be "ext4" if unspecified.Status of resources resize desired for pod's containers. It is empty if no resources resize is pending. Any changes to container resources will automatically set this to "Proposed"Number of seconds after the container has started before liveness probes are initiated. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probesCreate a logging configuration. If you are using a Dedicated account, you must log in to the public IBM Cloud endpoint and target your public org and space to enable log forwarding.Create a Satellite subscription for clusters. After you create the subscription, the associated Satellite configuration version is automatically deployed to the subscribed clusters.fsType is the filesystem type to mount. Must be a filesystem type supported by the host operating system. Ex. "ext4", "xfs", "ntfs". Implicitly inferred to be "ext4" if unspecified.NodePhase is the recently observed lifecycle phase of the node. More info: https://kubernetes.io/docs/concepts/nodes/node/#phase The field is never populated, and now is deprecated.EnableServiceLinks indicates whether information about services should be injected into pod's environment variables, matching the syntax of Docker links. Optional: Defaults to true.Replicas is the most recently observed number of replicas. More info: https://kubernetes.io/docs/concepts/workloads/controllers/replicationcontroller#what-is-a-replicationcontroller
			mutation($orgId: String! $clusterId: String!) {
				deleteClusterByClusterId( orgId: $orgId clusterId: $clusterId) {
					deletedClusterCount
					deletedResourceCount
				}
			}Delete automatically generated and manually created Ingress resources of class {{.PublicClass}} or {{.PrivateClass}} for public or private ALBs that run the Kubernetes Ingress image.readOnly here will force the Glusterfs volume to be mounted with read-only permissions. Defaults to false. More info: https://examples.k8s.io/volumes/glusterfs/README.md#create-a-podWhether this container should allocate a buffer for stdin in the container runtime. If this is not set, reads from stdin in the container will always result in EOF. Default is false.Resources represents the compute resource requests and limits that have been successfully enacted on the running container after it has been started or has been successfully resized.PodStatus represents information about the status of a pod. Status may trail the actual state of a system, especially if the node that hosts the pod cannot contact the control plane.PodResourceClaimStatus is stored in the PodStatus for each PodResourceClaim which references a ResourceClaimTemplate. It stores the generated name for the corresponding ResourceClaim.Specify the Kubernetes version, including at least the major.minor version. If you do not include this flag, the default version is used. To see available versions, run '{{.Command}}'.Specify the timeout interval in seconds for active connections to the destination. Make sure your timeout is compatible with the destination service and protocol 'keep-alive' settings.You must specify a private VLAN to add a zone to multiple worker pools. When you specify a private VLAN, you must also specify a public VLAN or include the --{{.PrivateOnlyFlag}} flag.a mandatory memory allocator wasn't provided, this might have a negative impact on performance, check invocations of EncodeWithAllocator method, falling back on runtime.SimpleAllocatorfsType is the Filesystem type to mount. Must be a filesystem type supported by the host operating system. Ex. "ext4", "xfs", "ntfs". The default filesystem depends on FlexVolume script.fsType is the filesystem type to mount. Must be a filesystem type supported by the host operating system. Ex. "ext4", "xfs", "ntfs". The default filesystem depends on FlexVolume script.SecretEnvSource selects a Secret to populate the environment variables with.

The contents of the target Secret's Data field will represent the key-value pairs as environment variables.NodeName is a request to schedule this pod onto a specific node. If it is non-empty, the scheduler simply schedules this pod onto that node, assuming that it fits resource requirements.Number of seconds after which the probe times out. Defaults to 1 second. Minimum value is 1. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probes
			 query($orgId: String!) {
					channels( orgId: $orgId ) {
					 name
					 uuid
					 orgId
					 remote {
						 remoteType
					 }
					 data_location
					 created
				   }
			 }Skip checking for infrastructure permissions before completing this action. Note that if you do not have the correct infrastructure permissions, this action might only partially succeed.status represents the current information/status of a persistent volume claim. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaimsServiceAccount binds together: * a name, understood by users, and perhaps by peripheral systems, for an identity * a principal that can be authenticated and authorized * a set of secretsSpecify the region in the infrastructure provider where you plan to create the hosts for the Satellite location. If you include this option, you must also include the '--provider' option.Number of seconds allowed for this object to gracefully terminate before it will be removed from the system. Only set when deletionTimestamp is also set. May only be shortened. Read-only.Specify installation options for the add-on. If no parameters are specified, the default values are used. Review the available options with the 'ibmcloud ks cluster addon options' command.timeoutSeconds specifies the seconds of ClientIP type session sticky time. The value must be >0 && <=86400(for 1 day) if ServiceAffinity == "ClientIP". Default value is 10800(for 3 hours).A node selector represents the union of the results of one or more label queries over a set of nodes; that is, it represents the OR of the selectors represented by the node selector terms.Restart policy for the container to manage the restart behavior of each container within a pod. This may only be set for init containers. You cannot set this field on ephemeral containers.Skip adding RBAC roles. Include this option only if you manage your own Kubernetes RBAC roles. If you use IAM service access roles to manage all your RBAC users, do not include this option.HTTP codes that the health check looks for in the response. If the HTTP code is not found, the IP is considered unhealthy. This flag is valid only for type 'HTTP' or 'HTTPS'. Default: '2xx'Most recently observed status of the node. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-statusKey is the taint key that the toleration applies to. Empty means match all taint keys. If the key is empty, operator must be Exists; this combination means to match all values and all keys.Enable the allowlist for a Satellite cluster. When enabled, only authorized requests to the cluster master from subnets in the allowlist are permitted through the Satellite service endpoint.readOnly is Optional: Defaults to false (read/write). ReadOnly here will force the ReadOnly setting in VolumeMounts. More info: https://examples.k8s.io/volumes/cephfs/README.md#how-to-use-itOptional: SecurityContext defines the security options the ephemeral container should be run with. If set, the fields of SecurityContext override the equivalent fields of PodSecurityContext.PartialObjectMetadata is a generic representation of any object with ObjectMeta. It allows clients to get access to a particular ObjectMeta schema without knowing the details of the version.Check whether the credentials that allow access to the IBM Cloud classic infrastructure portfolio for the targeted resource group are missing suggested or required infrastructure permissions.APIGroup is the group for the resource being referenced. If APIGroup is not specified, the specified Kind must be in the core API group. For any other third-party types, APIGroup is required.ContainerID is the ID of the container in the format '<type>://<container_id>'. Where type is a container runtime identifier, returned from Version call of CRI API (for example "containerd").
			query($orgId: String!, $uuid: String, $name: String) {
				orgKey( orgId: $orgId, uuid: $uuid, name: $name) {
					uuid
					name
					primary
					created
					updated
					key
				}
			}Rotate the CA certificates of a cluster, which requires that you previously created CA certificates. Rotating invalidates the previous certificates and refreshes the API server of the cluster.Apply the latest Satellite storage configuration version to all assignments of a configuration. To list a configuration's assignments, run 'ibmcloud sat storage assignment ls --config CONFIG'.Most recently observed status of the service. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-statustype is an OpenAPI type definition for this column, such as number, integer, string, or array. See https://github.com/OAI/OpenAPI-Specification/blob/master/versions/2.0.md#data-types for more.Do you want to delete the persistent storage for this cluster? If yes, the data cannot be recovered. If no, you can delete the persistent storage later in your IBM Cloud infrastructure account.Cumulative count of heap allocations whose storage was freed by the garbage collector. Note that this does not include tiny objects as defined by /gc/heap/tiny/allocs:objects, only tiny blocks.ConfigMapEnvSource selects a ConfigMap to populate the environment variables with.

The contents of the target ConfigMap's Data field will represent the key-value pairs as environment variables.Number of port to expose on the host. If specified, this must be a valid port number, 0 < x < 65536. If HostNetwork is specified, this must match ContainerPort. Most containers do not need this.Specify the path to a JSON file on your local machine that has the credentials of the infrastructure provider for the Satellite location. The credential format is provider-specific. See {{.URL}}.Represents a Flocker volume mounted by the Flocker agent. One and only one of datasetName and datasetUUID should be set. Flocker volumes do not support ownership management or SELinux relabeling.MachineID reported by the node. For unique machine identification in the cluster this field is preferred. Learn more from man(5) machine-id: http://man7.org/linux/man-pages/man5/machine-id.5.html
			mutation($orgId: String!, $uuid: String!, $deleteVersion: Boolean) {
				   removeSubscription( orgId: $orgId, uuid: $uuid, deleteVersion: $deleteVersion) {
					uuid
					success
				  }
			}A case-insensitive sub-string that the health check looks for in the response body. If this string is not found, the IP is considered unhealthy. This flag is valid only for type 'HTTP' or 'HTTPS'.Spec defines the specification of the desired behavior of the replication controller. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-statusGMSACredentialSpec is where the GMSA admission webhook (https://github.com/kubernetes-sigs/windows-gmsa) inlines the contents of the GMSA credential spec named by the GMSACredentialSpecName field.Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistencyThe capabilities to add/drop when running containers. Defaults to the default set of capabilities granted by the container runtime. Note that this field cannot be set when spec.os.name is windows.Specify the Kubernetes or OpenShift version, including at least the major.minor version. If you do not include this flag, the default version is used. To see available versions, run '{{.Command}}'.Delete all resources that were automatically generated during an Ingress migration, including the Ingress resources and ConfigMaps listed in the {{.Section}} sections in the output of {{.Command}}.The name of the secret must consist of lower case alphanumeric characters, '-' or '.', and must start and end with an alphanumeric character. The secret name cannot be more than 63 characters long.claimName is the name of a PersistentVolumeClaim in the same namespace as the pod using this volume. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaimsPeriodic probe of container liveness. Container will be restarted if the probe fails. Cannot be updated. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probesMemory that is completely free and eligible to be returned to the underlying system, but has not been. This metric is the runtime's estimate of free address space that is backed by physical memory.The name or ID of the host to assign. To automatically assign hosts based on labels, do not include this option. To retrieve the host ID, run 'ibmcloud sat host ls --location <location_ID_or_name>'.AvoidPods describes pods that should avoid this node. This is the value for a Node annotation with key scheduler.alpha.kubernetes.io/preferAvoidPods and will eventually become a field of NodeStatus.registry represents a single or multiple Quobyte Registry services specified as a string as host:port pair (multiple entries are separated with commas) which acts as the central registry for volumesDistribution of heap allocations by approximate size. Bucket counts increase monotonically. Note that this does not include tiny objects as defined by /gc/heap/tiny/allocs:objects, only tiny blocks.View and modify the web console and OAuth server access type for Red Hat OpenShift on IBM Cloud VPC infrastructure.
Changing has effect only if the cluster is created without public service endpoint.Required: Path is  the relative path name of the file to be created. Must not be absolute or contain the '..' path. Must be utf-8 encoded. The first item of the relative path must not start with '..'spec defines a specification of a persistent volume owned by the cluster. Provisioned by an administrator. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumesOwnerReference contains enough information to let you identify an owning object. An owning object must be in the same namespace as the dependent, or be cluster-scoped, so there is no namespace field.00010203040506070809101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899Include this option to allow public outbound access from the cluster workers. By default, public outbound access is blocked in OpenShift versions 4.15 and later and Kubernetes versions 1.30 and later.Add a cluster to your cluster group. The cluster can run in your Satellite location or in IBM Cloud. To add a cluster that runs in IBM Cloud, you must first register the cluster with Satellite Config.Indicate the name or ID of the existing configuration version to use for the subscription. To find versions, run 'ibmcloud sat config get --config <configuration_name_or_ID>'. Strategy: Direct Upload.Immutable, if set to true, ensures that data stored in the Secret cannot be updated (only object metadata can be modified). If not set to true, the field can be modified at any time. Defaulted to nil.Run container in privileged mode. Processes in privileged containers are essentially equivalent to root on the host. Defaults to false. Note that this field cannot be set when spec.os.name is windows.Update an Ingress domain for a cluster. The records passed in will fully replace the current records associated with the domain. Passing in no records will unregister the current records from a domain.LastTerminationState holds the last termination state of the container to help debug container crashes and restarts. This field is not populated if the container is still running and RestartCount is 0.initiatorName is the custom iSCSI Initiator Name. If initiatorName is specified with iscsiInterface simultaneously, new iSCSI interface <target portal>:<volume name> will be created for the connection.Immutable, if set to true, ensures that data stored in the ConfigMap cannot be updated (only object metadata can be modified). If not set to true, the field can be modified at any time. Defaulted to nil.Sysctls hold a list of namespaced sysctls used for the pod. Pods with unsupported sysctls (by the container runtime) might fail to launch. Note that this field cannot be set when spec.os.name is windows.gcePersistentDisk represents a GCE Disk resource that is attached to a kubelet's host machine and then exposed to the pod. More info: https://kubernetes.io/docs/concepts/storage/volumes#gcepersistentdiskpersistentVolumeClaimVolumeSource represents a reference to a PersistentVolumeClaim in the same namespace. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaimsA label selector is a label query over a set of resources. The result of matchLabels and matchExpressions are ANDed. An empty label selector matches all objects. A null label selector matches no objects.A machine-readable description of why this operation is in the "Failure" status. If this value is empty there is no information available. A Reason clarifies an HTTP status code but does not override it.status represents the current information/status for the persistent volume. Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumesTTY if true indicates that a tty will be allocated for the attach call. This is passed through the container runtime so the tty is allocated on the worker node by the container runtime. Defaults to false.Optional duration in seconds the pod may be active on the node relative to StartTime before the system will actively try to mark it failed and kill associated containers. Value must be a positive integer.Distribution of freed heap allocations by approximate size. Bucket counts increase monotonically. Note that this does not include tiny objects as defined by /gc/heap/tiny/allocs:objects, only tiny blocks.resourceVersion sets a constraint on what resource versions a request may be served from. See https://kubernetes.io/docs/reference/using-api/api-concepts/#resource-versions for details.

Defaults to unsetThe name or ID of the cluster to assign the host to. To list available clusters, run 'ibmcloud sat cluster ls'. If no cluster is provided, the host is automatically assigned to the Satellite control plane.The specification for the PersistentVolumeClaim. The entire content is copied unchanged into the PVC that gets created from this template. The same fields as in a PersistentVolumeClaim are also valid here.Are you sure you want to upgrade your storage configuration {{.Configuration}} to use the latest storage template revision? Template revisions, if available, include the latest storage driver patch updates.IP addresses which offer the related ports but are not currently marked as ready because they have not yet finished starting, have recently failed a readiness check, or have recently failed a liveness check.TopologySpreadConstraints describes how a group of pods ought to spread across topology domains. Scheduler will schedule pods in a way which abides by the constraints. All topologySpreadConstraints are ANDed.Start a migration of your IBM Cloud Ingress configmap and resources to use with ALBs that run the Kubernetes Ingress image. This command does not change the image type of your ALBs. For more info, see {{.URL}}Filters out any logs that contain a specified message regex pattern in the log. The message is matched as a regular expression. Example: The pattern "hello [0-9]" would apply to "hello 1", "hello 2", "hello 9"
query($id: ID!) {
	node(id: $id) {
		... on SatelliteConnector {
			id
			name
			crn
			region {
				name
				displayName
			}
			resourceGroup {
				externalID
				name
			}
			state
			createdDate
		}
	}
}
kind expected values are Shared: multiple blob disks per storage account  Dedicated: single blob disk per storage account  Managed: azure managed data disk (only in managed availability set). defaults to sharedawsElasticBlockStore represents an AWS Disk resource that is attached to a kubelet's host machine and then exposed to the pod. More info: https://kubernetes.io/docs/concepts/storage/volumes#awselasticblockstoremountOptions is the list of mount options, e.g. ["ro", "soft"]. Not validated - mount will simply fail if one is invalid. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes/#mount-options
			 mutation($orgId: String! $name: String! $contentType: String $remote: ChannelRemoteInput) {
					addChannel( orgId: $orgId name: $name contentType: $contentType remote: $remote ) {
					 uuid
				   }
			 }The server URL to use for the cluster context. If you do not include this flag, the default cluster service endpoint is used. For more info, see {{.IKSURL}} for Kubernetes or {{.ROKSURL}} for OpenShift clusters.After you run this command, the domain cannot be recovered. If you need a new domain, you must generate one by running 'ibmcloud ks ingress domain create'. Are you sure you want to remove the domain {{.Domain}}?After you run this command, the secret cannot be recovered. If you need a new secret, you must generate one by running 'ibmcloud ks nlb-dns secret regenerate'. Remove the secret for NLB subdomain {{.Subdomain}}?Deprecated. TCPSocket is NOT supported as a LifecycleHandler and kept for the backward compatibility. There are no validation of this field and lifecycle hooks will fail in runtime when tcp handler is specified.All memory mapped by the Go runtime into the current process as read-write. Note that this does not include memory mapped by code called via cgo or via the syscall package. Sum of all metrics in /memory/classes./debug/requests is already registered. You may have two independent copies of golang.org/x/net/trace in your binary, trying to maintain separate state. This may involve a vendored copy of golang.org/x/net/trace.Worker pool is not balanced. At least one zone does not have the number of workers that you specified with the '--{{.SizeFlag}}' flag. To rebalance the pool by adding worker nodes in the zone, run '{{.Command}}'.Selects a resource of the container: only resources limits and requests (limits.cpu, limits.memory, limits.ephemeral-storage, requests.cpu, requests.memory and requests.ephemeral-storage) are currently supported.